using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Xml.Serialization;
using Hncore.Infrastructure.Common;
using XC.RSAUtil;

namespace Hncore.Pass.PaymentCenter.WeiFuTong
{
    [XmlRoot("xml", Namespace = "")]
    public class WeiFuTongDTOBase
    {
        /// <summary>
        /// 随机字符串，不长于 32 位
        /// </summary>
        [XmlElement("nonce_str")]
        public string NonceStr { get; set; } = Guid.NewGuid().ToString().Replace("-", "");

        /// <summary>
        /// 签名类型，取值：MD5默认：MD5
        /// </summary>
        [XmlElement("sign_type")]
        public string SignType { get; set; } = "MD5";

        /// <summary>
        /// MD5签名结果
        /// </summary>
        [XmlElement("sign")]
        public string Sign { get; set; }

        /// <summary>
        /// 版本号，version默认值是2.0
        /// </summary>
        [XmlElement("version")]
        public string Version { get; set; } = "2.0";

       

    }
}